# $Revision: 1.11.2.3 $, $Date: 2003/09/15 13:27:08 $
# TODO:
#	- split into indexer and client?
#	- running indexer from cron?
%define		apxs		/usr/sbin/apxs
Summary:	Advanced Internet search engine
Summary(pl):	Silnik zaawansowanej wyszukiwarki Internetowej
Name:		aspseek
Version:	1.2.8
Release:	5
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.aspseek.org/pkg/src/1.2.8/%{name}-%{version}.tar.gz
# Source0-md5:	0660b6b0d45d37c7a53c7e1c40cae002
Source1:	%{name}-mod_aspseek.conf
Source2:	%{name}.init
Patch0:		%{name}-types.patch
Patch1:		%{name}-mysql4.patch
URL:		http://www.aspseek.org/
BuildRequires:	apache(EAPI)-devel
BuildRequires:	openssl-devel
BuildRequires:	mysql-devel
BuildRequires:	libstdc++-devel
BuildRequires:	zlib-devel
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/useradd
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires(post,postun):	/sbin/ldconfig
Requires(postun):	/usr/sbin/userdel
Requires:	webserver
Requires:	%{name}-db-%{version}
Obsoletes:	swish++
Obsoletes:	mnogosearch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}
%define		_bindir		/home/httpd/cgi-bin
%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR)

%description
ASPSeek is an Internet search engine, written in C++ using the STL
library. It consists of an indexing robot, a search daemon, and a CGI
search frontend. It can index as many as a few million URLs and search
for words and phrases, use wildcards, and do a Boolean search. Search
results can be limited to time period given, site or Web space (set of
sites) and sorted by relevance (some cool techniques are used) or
date.

ASPSeek is optimized for multiple sites (threaded index, async DNS
lookups, grouping results by site, Web spaces), but can be used for
searching one site as well. ASPSeek can work with multiple
languages/encodings at once (including multibyte encodings such as
Chinese) due to Unicode storage mode. Other features include stopwords
and ispell support, a charset and language guesser, HTML templates for
search results, excerpts, and query words highlighting.

%description -l pl
ASPSeek jest silnikiem wyszukiwarki Internetowej, napisany w C++ z
uyciem biblioteki STL. Zawiera robota indeksujcego, daemon
wyszukujcy oraz interfejs w postaci skryptu CGI. ASPSeek moe
indeksowa miliony adresw oraz wyszukiwa sowa oraz zwroty, uywa
znakw globalnych jak rwnie stosowa operatory logiczne. Rezultaty
wyszukiwania mog by ograniczane do okrelonego okresu czasu,
serwera, zbioru serwerw oraz sortowane wg. aktualnoci (okrelane za
pomoc pewnych specjalnych technik) lub daty.

ASPSeek jest zoptymalizowany dla wielu serwerw (wtkowane
indeksowanie, asynchroniczne zapytania DNS, grupowanie rezultatw wg
serwera, grupy serwerw), ale moe by rwnie uywany do obsugi
jednego serwera. ASPSeek moe pracowa z wieloma jzykami/kodowaniami
rwnoczenie (wczajc w to wielobajtowe kodowania uywane np. dla
jzyka Chiskiego) dziki trybowi zapisu w Unikodzie. Inne moliwoci
to blokowanie okrelonych sw, wsparcie dla ispella, zgadywarka
kodowania oraz jzyka, wzorce HTML dla rezultatw wyszukiwania,
podwietlanie wyszukiwanych sw.

%package db-mysql
Summary:	MySQL backend driver for ASPSeek
Summary(pl):	Obsuga MySQL dla ASPSeek
Group:		Networking/Utilities
Provides:	%{name}-db-%{version}
Requires:	%{name} = %{version}
Requires(post):	/sbin/ldconfig

%description db-mysql
This driver acts as a database backend for ASPSeek, so ASPSeek will
store its data in MySQL database.

%description db-mysql -l pl
Ten driver dziaa jako bazodanowy backend dla ASPSeek, tak, e ASPSeek
bdzie zapisywa swoje dane w bazie MySQL.

%package -n apache-mod_aspseek
Summary:	Apache module: ASPSeek search engine
Summary(pl):	Modu Apache: Silnik wyszukiwania ASPSeek
Group:		Networking/Daemons
Requires(pre):	aspseek
Requires(pre):	fileutils
Requires(pre):	grep
Requires(post,preun):	%{apxs}
Requires:	apache(EAPI)

%description -n apache-mod_aspseek
ASPSeek Apache module.

%description -n apache-mod_aspseek -l pl
Modu Apache ASPSeek.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure2_13 \
	--enable-charset-guesser \
	--enable-font-size \
	--enable-apache-module \
	--with-openssl \
	--with-mysql \
	--enable-unicode \
	--localstatedir=/var/spool
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{httpd,rc.d/init.d},/home/httpd/icons}
install -d $RPM_BUILD_ROOT/var/{spool/aspseek,log}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_sysconfdir}/img/* $RPM_BUILD_ROOT/home/httpd/icons
install %{SOURCE1} $RPM_BUILD_ROOT/etc/httpd/mod_aspseek.conf
sed -e "s#/img/#/icons/#g" $RPM_BUILD_ROOT%{_sysconfdir}/s.htm-dist > \
	$RPM_BUILD_ROOT%{_sysconfdir}/s.htm
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
touch $RPM_BUILD_ROOT/var/log/aspseek.log

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`id -u aspseek 2>/dev/null`" ]; then
	if [ "`id -u aspseek`" != "50" ]; then
		echo "Error: user aspseek doesn't have uid=50. Correct this before installing aspseek." 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -u 50 -r -d /home/services/aspseek -s /bin/false -c "ASPSEEK User" -g root aspseek 1>&2
fi

%post
/sbin/ldconfig
/sbin/chkconfig --add %{name}
touch /var/log/aspseek.log && chown aspseek.root /var/log/aspseek.log

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/%{name} ]; then
		/etc/rc.d/init.d/%{name} stop 1>&2
	fi
	/sbin/chkconfig --del %{name}
fi

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
	/usr/sbin/userdel aspseek
fi

%post db-mysql
/sbin/ldconfig
echo "Remember to run %{_sbindir}/aspseek-mysql-postinstall."

%postun db-mysql -p /sbin/ldconfig

%post -n apache-mod_aspseek
%{apxs} -e -a -n aspseek %{_pkglibdir}/mod_aspseek.so 1>&2
if [ -f /etc/httpd/httpd.conf ] && ! grep -q "^Include.*mod_aspseek.conf" /etc/httpd/httpd.conf; then
	echo "Include /etc/httpd/mod_aspseek.conf" >> /etc/httpd/httpd.conf
fi
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun -n apache-mod_aspseek
if [ "$1" = "0" ]; then
	%{apxs} -e -A -n aspseek %{_pkglibdir}/mod_aspseek.so 1>&2
	grep -v "^Include.*mod_aspseek.conf" /etc/httpd/httpd.conf > \
		/etc/httpd/httpd.conf.tmp
	mv -f /etc/httpd/httpd.conf.tmp /etc/httpd/httpd.conf
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc AUTHOR* FAQ* NEWS* README* RELEASE* THANKS* TODO* doc/*.txt
%attr(755,root,root) %{_bindir}/s.cgi
%attr(755,root,root) %{_sbindir}/index
%attr(755,root,root) %{_sbindir}/searchd
%attr(755,root,root) %{_libdir}/libaspseek*.so.*
/home/httpd/icons/*.*
%{_mandir}/man5/aspseek.conf*
%{_mandir}/man5/s*
%{_mandir}/man1/*
%{_mandir}/man7/*
%dir %{_sysconfdir}
%{_sysconfdir}/langmap
%dir %{_sysconfdir}/sql
%{_sysconfdir}/stopwords
%{_sysconfdir}/tables
%attr(754,root,root) /etc/rc.d/init.d/aspseek
%attr(750,aspseek,root) %dir /var/spool/aspseek
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/*.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/*.htm
%ghost /var/log/aspseek.log

%files db-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/aspseek-mysql-postinstall
%attr(755,root,root) %{_libdir}/libmysql*.so*
%{_sysconfdir}/sql/mysql
%{_mandir}/man5/aspseek-sql*

%files -n apache-mod_aspseek
%defattr(644,root,root,755)
%doc README.APACHE_MODULE
%attr(755,root,root) %{_pkglibdir}/*.so
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/httpd/mod_*.conf

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: aspseek.spec,v $
Revision 1.11.2.3  2003/09/15 13:27:08  ankry
- ported to mysql-4 API (-mysql4 patch)

Revision 1.11.2.2  2003/09/10 11:01:51  ankry
- added md5, rel. 5 to rebuild with new mysql

Revision 1.11.2.1  2003/07/11 12:00:28  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.11  2002/09/17 22:51:59  ankry
- Obsoletes: swish++ mnogosearch
- cleaning, release 4

Revision 1.10  2002/08/28 22:10:01  qboosh
- fixed chkconfig --add

Revision 1.9  2002/08/28 13:30:47  qboosh
- fixed build on 64-bit archs, added missing init script, release 3

Revision 1.8  2002/08/17 20:58:49  qboosh
- better message in pre, added missing Requires(), release 2

Revision 1.7  2002/08/13 15:19:00  grzegorz
- sed -e "s/%%{_sbindir}\/apxs -e/\%%{apxs} -e/"

Revision 1.6  2002/05/18 17:15:40  misiek
- enable unicode

Revision 1.5  2002/04/25 15:48:53  arturs
fixed a small typo

Revision 1.4  2002/04/19 23:06:07  ankry
- fixed typo in directory creation

Revision 1.3  2002/03/28 01:04:01  misiek
- more things done

Revision 1.2  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.1  2002/02/19 20:25:42  misiek
- initial pld release (NFY)
